Partial update custom field

patch
https://api.wafeq.com/v1/custom-fields/{id}/

Endpoint for partially updating an existing custom field.

Path Params
stringrequired

A unique value identifying this custom field.

Body Params

The payload to create or update a custom field.

apply_toarray of strings

The groups this custom field applies to.

View the enum reference

config

The configuration of the custom field, containing field_type and metadata. The metadata structure depends on field_type: SELECT fields include a choices array, LOOKUP fields include an entity_type, and other types have empty metadata.

One of

The configuration of a select custom field.

stringenumrequired

The type of the custom field.

  • SELECT - Select
Allowed:
metadataobjectrequired

The settings of the select custom field.

boolean

Whether the custom field is active.

boolean

Whether the custom field is set on line items instead of on the document.

boolean

Whether the custom field is visible.

stringlength ≤ 100

The english name of the custom field.

stringlength ≤ 100

The arabic name of the custom field.

Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response